## Class IDS_Filter_Storage_Abstract

Description

Abstract Filter Storage

Class to assure the systems API

- author: christ1an <ch0012@gmail.com>
- version: $Id: Storage.php 494 2007-09-11 20:59:11Z mario $
- abstract:

Located in /Filter/Storage/Abstract.php (line 31)

Direct descendents

Class | Description
--- | ---
IDS_Filter_Storage | Filter Storage Class

Variable Summary
mixed $caching
mixed $filterPath
Method Summary
void __construct (IDS_Init $init)
object addFilter (IDS_Filter $filter)
void getFilterSet ()
object setFilterSet (array $filterSet)
Variables
mixed $caching = NULL (line 35)

- access: protected

mixed $filterPath = NULL (line 33)

- access: protected

Methods
Constructor __construct (line 44)

Constructor

- access: public

void __construct (IDS_Init $init)

- object $init

addFilter (line 96)

Adds one particular filter

- access: public

object addFilter (IDS_Filter $filter)

- object $filter

getFilterSet (line 85)

Returns array containing all filters

- access: public

void getFilterSet ()
setFilterSet (line 71)

Sets filter array manually

- access: public

object setFilterSet (array $filterSet)

- array $filterSet

Documentation generated on Thu, 13 Sep 2007 22:36:58 +0200 by phpDocumentor 1.4.0